Epic # 55575 (Accepted): Streamline JavaScript Code in the TYPO3 Backend

Status: Rejected Priority: Should have
Author: Stefan Galinski Category:
Created: 2011-01-20 Assigned To:
Updated: 2015-07-18 Due date:
PHP Version: 5.3
Complexity:
Sprint Focus:
Subject: Refactor the pagetree javascript files to be usable by other trees
Description

Problem:
The pagetree javascript files are currently very specific for the needs of the pagetree. This would require other tree implementations to
always recreate their own components. It's an important requirement before any other tree components are created.

Solution:
The pagetree files needs to be refactored to be more generic. Mainly this is the context menu implementation, the tree implementation
and their related components like the node user interface, the tree editor and the state provider. The same would be needed for the
top panel and the deletion drop zone, but they need much more changes to be really generic.

I don't will do that for 4.5 anymore and it will be a task for 4.6 as the changes are much to huge. The goal for 4.5 was to create a
stable pagetree. Sorry!
(issue imported from #M17154)

History
#1 - 2012-02-08 22:05 - Stefan Galinski
- Assigned To deleted (Stefan Galinski)

#2 - 2014-02-02 11:26 - Daniel Siepmann
- Target version deleted (0)
- Parent task set to #55575

#3 - 2015-07-18 19:37 - Benjamin Mack
- Status changed from Accepted to Rejected

as we are in the process of kicking ExtJS out of the Core, and we streamlined all other trees, we won't fix this in the future.

2015-08-04 1/1


